%define major	0
%define libname	lib%{name}%{major}

Summary:	The GNU Scientific Library for numerical analysis
Name:		gsl
Version:	0.9
Release:	3mdk
URL:		http://sourceware.cygnus.com/gsl/

Source:		ftp://sourceware.cygnus.com/pub/gsl/gsl-%{version}.tar.bz2

License:	GPL 
Group:		System/Libraries
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	%libname = %version-%release

%description
The gsl package includes the GNU Scientific Library (GSL).  The GSL is a
collection of routines for numerical analysis, written in C.  The GSL is
in alpha development.  It now includes a random number suite, an FFT
package, simulated annealing and root finding.  In the future, it will
include numerical and Monte Carlo integration and special functions.
Linking against the GSL allows programs to access functions which can
handle many of the problems encountered in scientific computing.

Install the gsl package if you need a library for high-level scientific
numerical analysis.


%package -n %{libname}
Summary:	Shared librairies for Scientific Library
Group:		System/Libraries
Provides:	lib%name

%description -n %{libname}
The gsl package includes the GNU Scientific Library (GSL).  The GSL is a
collection of routines for numerical analysis, written in C.  The GSL is
in alpha development.  It now includes a random number suite, an FFT
package, simulated annealing and root finding.  In the future, it will
include numerical and Monte Carlo integration and special functions.
Linking against the GSL allows programs to access functions which can
handle many of the problems encountered in scientific computing.

These are the shared libs for developpers.


%package -n %{libname}-devel
Summary:	Devel files for Scientific Library
Group:		Development/C
Requires:	%libname = %version-%release
Provides:	%name-devel, lib%name-devel

%description -n %{libname}-devel
The gsl package includes the GNU Scientific Library (GSL).  The GSL is a
collection of routines for numerical analysis, written in C.  The GSL is
in alpha development.  It now includes a random number suite, an FFT
package, simulated annealing and root finding.  In the future, it will
include numerical and Monte Carlo integration and special functions.
Linking against the GSL allows programs to access functions which can
handle many of the problems encountered in scientific computing.

These are the static libs and include headers for developpers.

%prep
%setup -q

%build
%configure --prefix=%buildroot/%_prefix
touch doc/gsl-ref.info
%make

%install
install -d %buildroot/%_libdir %buildroot/%_infodir %buildroot/%_includedir
%makeinstall

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post
%_install_info gsl-ref.info

%postun
%_remove_install_info gsl-ref.info

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,-) 
%doc AUTHORS COPYING INSTALL NEWS README
%_bindir/*
%_infodir/*info*

%files -n %{libname}
%defattr(-,root,root,0755) 
%doc ChangeLog COPYING
%_libdir/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root,0755) 
%doc COPYING
%_datadir/aclocal/gsl.m4
%_libdir/*.a
%_libdir/*la
%_libdir/*.so
%dir %_includedir/%name/
%_includedir/%name/*.h

%changelog
* Wed Jul 11 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9-3mdk
- use -p for %post and the like for lord rpmlint
- move *.la to -devel

* Mon Jul 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9-1mdk
- new bersion

* Tue Mar 27 2001 David BAUDENS <baudens@mandresoft.com> 0.7-1mdk
- O.7 (allow build on PPC)
- Add missing files
- Fix Provides and Requires

* Mon Mar 05 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-3mdk
- remove my ppc patch, we don't need it anymore.

* Fri Jan 26 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-2mdk
- fix PPC build for lords ppc_letmeplay

* Wed Dec 06 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6-1mdk
- new release
- fix build on PPC
- new lib scheme

* Fri Jul 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5-3mdk
- BM
- split out devel

* Tue Apr 18 2000 John Buswell <johnb@mandrakesoft.com> 0.5-2mdk
- Fixed distribution tag

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 0.5-1mdk
- 0.5
- Fixed groups
- spec-helper

* Mon Nov 24 1999 Camille Begnis <camille@mandrakesoft.com>
- added %defattr and SMP compilation
- updated url and ftp source

* Tue Aug 16 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 0.4.1

* Tue Jul 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build for new environment (Rel: 5mdk).

* Wed May 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Remove the ldconfig hack of bero.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- make ldconfig in %post and %preun -p

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Mar 11 1999 Bill Nottingham <notting@redhat.com>
- update to 0.3f
- add patches to fix glibc-2.1 compilation, doc oddity

* Thu Feb 25 1999 Bill Nottingham <notting@redhat.com>
- new summary/description, work around automake oddity

* Tue Jan 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- libtoolize for arm

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- spec file fixups

* Sat May 9 1998 Michael Fulbright <msf@redhat.com>
- started with package for gmp from Toshio Kuratomi <toshiok@cats.ucsc.edu>
- cleaned up file list
- fixed up install-info support
